config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

config etc/ldns/root.key.new
( cd usr/lib ; rm -rf libldns.so )
( cd usr/lib ; ln -sf libldns.so.2.0.0 libldns.so )
( cd usr/lib/python2.7/site-packages ; rm -rf _ldns.so )
( cd usr/lib/python2.7/site-packages ; ln -sf _ldns.so.2.0.0 _ldns.so )
( cd usr/lib/python2.7/site-packages ; rm -rf _ldns.so.2 )
( cd usr/lib/python2.7/site-packages ; ln -sf _ldns.so.2.0.0 _ldns.so.2 )
( cd usr/lib ; rm -rf libldns.so.2 )
( cd usr/lib ; ln -sf libldns.so.2.0.0 libldns.so.2 )
